Public Attributes | List of all members
gap_ext_adv_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Advertising parameters for extended advertising and periodic advertising. More...

`#include <ble_gapm.h>`

## Public Attributes
uint8_t | type
| Advertising type (see enum gap_adv_type_t). More...
uint8_t | disc_mode
| Discovery mode (see enum gap_disc_mode_t). More...
uint16_t | prop
| Bit field value provided by advertising properties. More...
int8_t | max_tx_pwr
| Maximum power level at which the advertising packets have to be transmitted (between -20 and 7 dBm). More...
uint8_t | filter_pol
| Advertising filtering policy (see enum gap_adv_filter_policy_t). More...
gap_bdaddr_t | peer_addr
| Peer address configuration (only used in case of directed advertising or used to locate the IRK list). More...
gap_adv_prim_cfg_t | prim_cfg
| Configuration for primary advertising. More...
gap_adv_second_cfg_t | second_cfg
| Configuration for secondary advertising (valid only if advertising type is GAP_ADV_TYPE_EXTENDED or GAP_ADV_TYPE_PERIODIC). More...
gap_adv_period_cfg_t | period_cfg
| Configuration for periodic advertising (valid only if advertising type is GAP_ADV_TYPE_PERIODIC). More...

## Detailed Description

Advertising parameters for extended advertising and periodic advertising.

Definition at line 566 of file ble_gapm.h.

## Member Data Documentation

## ◆ disc_mode

uint8_t gap_ext_adv_param_t::disc_mode

Discovery mode (see enum gap_disc_mode_t).

Definition at line 569 of file ble_gapm.h.

## ◆ filter_pol

uint8_t gap_ext_adv_param_t::filter_pol

Advertising filtering policy (see enum gap_adv_filter_policy_t).

Definition at line 572 of file ble_gapm.h.

## ◆ max_tx_pwr

int8_t gap_ext_adv_param_t::max_tx_pwr

Maximum power level at which the advertising packets have to be transmitted (between -20 and 7 dBm).

Definition at line 571 of file ble_gapm.h.

## ◆ peer_addr

gap_bdaddr_t gap_ext_adv_param_t::peer_addr

Peer address configuration (only used in case of directed advertising or used to locate the IRK list).

Definition at line 573 of file ble_gapm.h.

## ◆ period_cfg

gap_adv_period_cfg_t gap_ext_adv_param_t::period_cfg

Configuration for periodic advertising (valid only if advertising type is GAP_ADV_TYPE_PERIODIC).

Definition at line 576 of file ble_gapm.h.

## ◆ prim_cfg

gap_adv_prim_cfg_t gap_ext_adv_param_t::prim_cfg

Configuration for primary advertising.

Definition at line 574 of file ble_gapm.h.

## ◆ prop

uint16_t gap_ext_adv_param_t::prop

Bit field value provided by advertising properties.

See enum gap_adv_prop_t for bit signification.

Definition at line 570 of file ble_gapm.h.

## ◆ second_cfg

gap_adv_second_cfg_t gap_ext_adv_param_t::second_cfg

Configuration for secondary advertising (valid only if advertising type is GAP_ADV_TYPE_EXTENDED or GAP_ADV_TYPE_PERIODIC).

Definition at line 575 of file ble_gapm.h.

## ◆ type

uint8_t gap_ext_adv_param_t::type

Advertising type (see enum gap_adv_type_t).

Definition at line 568 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h